ImplicitActivationPolicyValue (Java Platform SE 8 )
Keywords: org.omg.PortableServer.ImplicitActivationPolicyValue class
Date: 2016-12-09

org.omg.PortableServer

## Class ImplicitActivationPolicyValue

- java.lang.Object
- - org.omg.PortableServer.ImplicitActivationPolicyValue

- All Implemented Interfaces:
    Serializable, IDLEntity

      public class ImplicitActivationPolicyValue
      extends Object
      implements IDLEntity

  ImplicitActivationPolicyValue has the following semantics. IMPLICIT_ACTIVATION to indicate implicit activation of servants. This requires SYSTEM_ID and RETAIN policies to be set. NO_IMPLICIT_ACTIVATION to indicate no implicit servant activation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_IMPLICIT_ACTIVATION`
    `static int` | `_NO_IMPLICIT_ACTIVATION`
    `static ImplicitActivationPolicyValue` | `IMPLICIT_ACTIVATION`
    `static ImplicitActivationPolicyValue` | `NO_IMPLICIT_ACTIVATION`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ImplicitActivationPolicyValue(int value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImplicitActivationPolicyValue` | `from_int(int value)`
    `int` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _IMPLICIT_ACTIVATION

          public static final int _IMPLICIT_ACTIVATION

      See Also:
        Constant Field Values

    - #### IMPLICIT_ACTIVATION

          public static final ImplicitActivationPolicyValue IMPLICIT_ACTIVATION

    - #### _NO_IMPLICIT_ACTIVATION

          public static final int _NO_IMPLICIT_ACTIVATION

      See Also:
        Constant Field Values

    - #### NO_IMPLICIT_ACTIVATION

          public static final ImplicitActivationPolicyValue NO_IMPLICIT_ACTIVATION

  - ### Constructor Detail

    - #### ImplicitActivationPolicyValue

          protected ImplicitActivationPolicyValue(int value)

  - ### Method Detail

    - #### value

          public int value()

    - #### from_int

          public static ImplicitActivationPolicyValue from_int(int value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.